Segmentation fault fix for Waavi translation package in Laravel 4.2

by Pete Houston


I’ve just been trying to use the Waavi/translation package to manage localization; but it seems like it is outdated already and its author seem to abandon the package.

After installing the package, and by issue the translator command, you will get this error:

$ php artisan translator:load
Segmentation fault

The problem is that the model Waavi/Translations/Models/Language is not compatible with Laravel 4.2 update on SoftDeletingTrait.

So I create the package petehouston/translation-model, that will help to fix this problem. Please follow the instruction guidelines to work on it.

I guess, that’s it. Have fun ☺

One clap, two clap, three clap, forty?

By clapping more or less, you can signal to us which stories really stand out.